* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  overflow-x: hidden;
}

.parallax-banner {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.layer {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.scroll {
  display: flex;
  height: 100%;
  animation: scroll-left linear infinite;
  will-change: transform;
  transform: translateZ(0);
}

.scroll img {
  height: 100%;
  width: auto;
  flex-shrink 0;
}

@keyframes scroll-left {
  from { 
    transform: translateX(0);
  } 
  to {
    transform: translateX(-50%);
  }
}

/* parallax speeds */
.layer-1 .scroll {
  animation-duration: 90s;
}

.layer-2 .scroll {
  animation-duration: 75s;
}

.layer-3 .scroll {
  animation-duration: 60s;
}

.layer-4 .scroll {
  animation-duration: 55s;
}

.layer-5 .scroll {
  animation-duration: 40s;
}

.clouds img {
  width: auto;
  height: 120px;
  opacity: 0.8;
}

.clouds {
  position: absolute;
  top: 0;
  left: 0;
  width: max-content;
  display: flex;
  gap: 100px;
  pointer-events: none;
  animation: cloud-scroll linear infinite;
}

@keyframes cloud-scroll {
  from {
    transform: translateX(100vw);
  }
  to {
    transform: translateX(-100%);
  }
}

.clouds img:nth-child(1) { margin-right: 200px; }
.clouds img:nth-child(2) { margin-right: 400px; }
.clouds:nth-child(odd) { animation-direction: reverse; }
.layer-1 img { filter: blur(2px); }
.layer-2 img { filter: blur(1px); }

